<?php
require_once("config_sql.php");
echo "cat_desc = new Array();";
function show_one_cat($cat_id)
{
	$functietje = halen("SELECT functie FROM members WHERE naam='".$_GET['jouwnaam']."';");
	if (($functietje == "manager") || ($functietje == "staff"))
	{
		$cat = mysql_fetch_array(mysql_query("SELECT * FROM catalogus WHERE id=".$cat_id.";"));
	}
	else
	{
		$cat = mysql_fetch_array(mysql_query("SELECT * FROM catalogus WHERE id=".$cat_id." AND actief='ja';"));
	}
	$cat_naam = $cat['naam'];
	$cat_desc = $cat['desc'];
	echo "cat_desc[".$cat_id."] = \"".$cat_desc."\";";
}
$cat_id = 1;
$cat_naam = "Catalogus";
$cat_desc = "";
echo "cat_desc[".$cat_id."] = \"".$cat_desc."\";";
show_one_cat(2);
$functietje = halen("SELECT functie FROM members WHERE naam='".$_GET['jouwnaam']."';");
if (($functietje == "manager") || ($functietje == "staff"))
{
	$collecties = mysql_query("SELECT * FROM catalogus WHERE id!=1 AND id!=2 AND id!=32 ORDER BY naam;");
}
else
{
	$collecties = mysql_query("SELECT * FROM catalogus WHERE actief='ja' AND id!=1 AND id!=2 AND id!=32 ORDER BY naam;");
}
if (mysql_num_rows($collecties) >= 1)
{
    while ($row = mysql_fetch_array($collecties))
    {
		$cat_id = $row['id'];
    	$cat_naam = $row['naam'];
    	$cat_desc = $row['desc'];
    	if (($functietje == "manager") || ($functietje == "staff"))
		{
	    	$cat_prijslijst = mysql_query("SELECT * FROM prijslijst WHERE cat=".$cat_id.";");
    	}
    	else
    	{
	    	$cat_prijslijst = mysql_query("SELECT * FROM prijslijst WHERE cat=".$cat_id." AND actief='ja';");
    	}
	   	if (mysql_num_rows($cat_prijslijst) >= 1) 
		{
			$item_teller = 0;
			echo "cat_desc[".$cat_id."] = \"".$cat_desc."\";";
	    	echo "cat_prijs".$cat_id."=new Array();";
			echo "cat_naam".$cat_id."=new Array();";
			echo "cat_omschrijf".$cat_id."=new Array();";
			echo "cat_cat".$cat_id."=new Array();";
			echo "cat_catnr".$cat_id."=new Array();";
			while ($row = mysql_fetch_array($cat_prijslijst)) 
			{
				$item_prijs = $row['prijs'];
	    		$item_naam = $row['naam'];
	    		$item_omschrijf = $row['omschrijf'];
	    		$item_cat_cat = $item_teller;
	    		$item_cat = $row['cat'];
	    		$item_catnr = $row['catnr'];
	    		echo "cat_prijs".$cat_id."[".$item_cat_cat."]=".$item_prijs.";";
	    		echo "cat_naam".$cat_id."[".$item_cat_cat."]=\"".$item_naam."\";";
	    		echo "cat_omschrijf".$cat_id."[".$item_cat_cat."]=\"".$item_omschrijf."\";";
	    		echo "cat_cat".$cat_id."[".$item_cat_cat."]=\"".$item_cat."\";";
	    		echo "cat_catnr".$cat_id."[".$item_cat_cat."]=\"".$item_catnr."\";";
	    		$item_teller++;
   			}
		}
	}
}
show_one_cat(32);
echo "update_money(".halen("SELECT money FROM members WHERE naam = '".$_GET['jouwnaam']."'").");";
?>